> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/transfer.md).

# Transfer

Create a **signature** and use the **request header + request body**

## Transfer Payment

<mark style="color:green;">`POST`</mark> `https: //example.co.id/account/api/transfer`

This service is used for transfer from the partner's account to the destination account that has been registered previously

`*` means the parameter is **required (mandatory)**

#### Headers

<table><thead><tr><th width="237">Parameter</th><th width="93">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>faspay-key<mark style="color:red;">*</mark></td><td>String</td><td>Provide by faspay</td></tr><tr><td>faspay-timestamp<mark style="color:red;">*</mark></td><td>String</td><td>datetime (Y-m-d H:i:s)</td></tr><tr><td>faspay-signature<mark style="color:red;">*</mark></td><td>String</td><td>Signature please refer to <em>signature section</em></td></tr><tr><td>faspay-authorization<mark style="color:red;">*</mark></td><td>String</td><td>Encrypt method: AES 256 <strong><code>FASPAY_SECRET:APP_KEY:APP_SECRET)</code></strong></td></tr><tr><td>Content-Type<mark style="color:red;">*</mark></td><td>String</td><td><code>application/json</code></td></tr></tbody></table>

#### Request Body

{% tabs %}
{% tab title="Request parameter" %}

<table><thead><tr><th width="286">Parameter</th><th width="161">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account<mark style="color:red;">*</mark></td><td>Number(20)</td><td>VA partner</td></tr><tr><td>beneficiary_virtual_account<mark style="color:red;">*</mark></td><td>Number(20)</td><td>VA number of beneficiary account</td></tr><tr><td>beneficiary_account<mark style="color:red;">*</mark></td><td>Number(128)</td><td>Account number of VA</td></tr><tr><td>beneficiary_name<mark style="color:red;">*</mark></td><td>String(255)</td><td>Account beneficiary name</td></tr><tr><td>beneficiary_bank_code<mark style="color:red;">*</mark></td><td>Number(3)</td><td>Beneficiary bank code</td></tr><tr><td>beneficiary_region_code<mark style="color:red;">*</mark></td><td>Number</td><td>Code of branch bank</td></tr><tr><td>beneficiary_country_code<mark style="color:red;">*</mark></td><td>String(2)</td><td>Code of country</td></tr><tr><td>beneficiary_purpose_code<mark style="color:red;">*</mark></td><td>Number(1)</td><td>Code of the purpose of using the system account</td></tr><tr><td>beneficiary_email</td><td>String</td><td><p>Beneficiary Email </p><p>Note: email can be filled in more than 1 by entering <code>,</code> for the separator</p></td></tr><tr><td>trx_no<mark style="color:red;">*</mark></td><td>Number</td><td>Transaction number from partner</td></tr><tr><td>trx_date<mark style="color:red;">*</mark></td><td>DateTime</td><td>datetime format (Y-m-d H:i:s)</td></tr><tr><td>instruct_date<mark style="color:red;">*</mark></td><td>DateTime</td><td>Instruct date is a date for transaction: <br>-<strong>Null</strong>: real-time transaction<br>-<strong>Datetime</strong>: ex 2018-12-21 08:30:00, the transaction will be sent at 2018-12-21 08:30:00</td></tr><tr><td>trx_amount<mark style="color:red;">*</mark></td><td>Integer</td><td>Total amount, ex : 10.000 -> 10000<strong>00</strong><br><strong>Writing format is not allowed decimal, only integers are allowed</strong></td></tr><tr><td>trx_desc<mark style="color:red;">*</mark></td><td>String</td><td>Transaction description.<br>- If the user input is more than 15 characters, it will be cut into 15 characters.<br>- If the user input is "fee", it will be rejected.</td></tr><tr><td>callback_url<mark style="color:red;">*</mark></td><td>String</td><td>URL for callback/notification, used to notify the partner.</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample request" %}

```json
{  
  "virtual_account" : "9920015307",
  "beneficiary_virtual_account" : "9920015361",
  "beneficiary_account" : "10000006",
  "beneficiary_name" : "PT. Florist Lentera Abadi",
  "beneficiary_bank_code" : "014",
  "beneficiary_region_code" : "0391",
  "beneficiary_country_code" : "ID",
  "beneficiary_purpose_code" : "1",
  "beneficiary_email" : "johnnysuh@gmail.com, seosuhjohnny@gmail.com"
  "trx_no" : "87643666",
  "trx_date" : "2020-08-25 08:51:00",
  "instruct_date" : "",
  "trx_amount" : "2500000",
  "trx_desc" : "Transfer",
  "callback_url" : "https://dev2.faspay.co.id/account/api/callback"
}
```

{% endtab %}
{% endtabs %}

#### Response Body

{% tabs %}
{% tab title="Response parameter" %}

<table><thead><tr><th width="286">Parameter</th><th width="161">Data Type</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account<mark style="color:red;">*</mark></td><td>Number(20)</td><td>VA partner</td></tr><tr><td>beneficiary_virtual_account<mark style="color:red;">*</mark></td><td>Number(20)</td><td>VA number of beneficiary account</td></tr><tr><td>beneficiary_account<mark style="color:red;">*</mark></td><td>Number(128)</td><td>Account number of VA</td></tr><tr><td>beneficiary_name<mark style="color:red;">*</mark></td><td>String(255)</td><td>Account beneficiary name</td></tr><tr><td>beneficiary_bank_code<mark style="color:red;">*</mark></td><td>Number(3)</td><td>Beneficiary bank code</td></tr><tr><td>beneficiary_region_code<mark style="color:red;">*</mark></td><td>Number</td><td>Code of branch bank</td></tr><tr><td>beneficiary_country_code<mark style="color:red;">*</mark></td><td>String(2)</td><td>Code of country</td></tr><tr><td>beneficiary_purpose_code<mark style="color:red;">*</mark></td><td>Number(1)</td><td>Code of the purpose of using the system account</td></tr><tr><td>beneficiary_email</td><td>String</td><td><p>Beneficiary Email </p><p>Note: email can be filled in more than 1 by entering <code>,</code> for the separator</p></td></tr><tr><td>trx_no<mark style="color:red;">*</mark></td><td>Number</td><td>Transaction number from partner</td></tr><tr><td>trx_date<mark style="color:red;">*</mark></td><td>DateTime</td><td>datetime format (Y-m-d H:i:s)</td></tr><tr><td>instruct_date<mark style="color:red;">*</mark></td><td>DateTime</td><td>Instruct date is a date for transaction: <br>-<strong>Null</strong>: real-time transaction<br>-<strong>Datetime</strong>: ex 2018-12-21 08:30:00, the transaction will be sent at 2018-12-21 08:30:00</td></tr><tr><td>trx_amount<mark style="color:red;">*</mark></td><td>Integer</td><td>Total amount, ex : 10.000 -> 10000<strong>00</strong><br><strong>Writing format is not allowed decimal, only integers are allowed</strong></td></tr><tr><td>trx_desc<mark style="color:red;">*</mark></td><td>String</td><td>Transaction description.<br>- If the user input is more than 15 characters, it will be cut into 15 characters.<br>- If the user input is "fee", it will be rejected.</td></tr><tr><td>callback_url<mark style="color:red;">*</mark></td><td>String</td><td>URL for callback/notification, used to notify the partner.</td></tr><tr><td>trx_id*</td><td>Number</td><td>ID transaction of transfer</td></tr><tr><td>trx_reff*</td><td>String (128)</td><td>Reference of transaction number on system disbursement</td></tr><tr><td>status*</td><td>Numeric (1)</td><td>List of status transaction: <br>1 = On Process, <br>2 = Success,<br>4 = Failed, <br>5 = Reverse</td></tr><tr><td>message*</td><td>String</td><td>Message transaction</td></tr><tr><td>response_code*</td><td>Number (2)</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc*</td><td>String (32)</td><td>Response desc from bank</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample response" %}

```json
{
    "virtual_account": "9920015307",
    "beneficiary_virtual_account": "9920015361",
    "beneficiary_account": "10000006",
    "beneficiary_name": "PT. Florist lentera Abadi",
    "beneficiary_bank_code": "014",
    "beneficiary_region_code": "0391",
    "beneficiary_country_code": "ID",
    "beneficiary_purpose_code": "1",
    "beneficiary_email" : "johnnysuh@gmail.com, seosuhjohnny@gmail.com"
    "trx_no": "87643666",
    "trx_date": "2020-08-25 08:51:00",
    "instruct_date": "",
    "trx_amount": 2500000,
    "trx_desc": "Transfer",
    "callback_url": "https://dev2.faspay.co.id/account/api/callback",
    "trx_id": 6411,
    "trx_reff": "O4wgHmwglqpFAv-hZiu-_9999980300009258",
    "status": "1",
    "message": "On Process",
    "response_code": "00",
    "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/transfer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
